Tryton - Issues

 

Issue8502

Title Random failure for test_memory_cache_transactions
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type crash Components trytond
Assigned To ced Keywords review
Reviews 289171002
View: 289171002

Created on 2019-07-18.09:22:28 by ced, last changed by roundup-bot.

Messages
New changeset fffbeae5756f by Cédric Krier in branch '5.4':
Test memory cache with committed transaction as current
https://hg.tryton.org/trytond/rev/fffbeae5756f

New changeset aa77efe1aa05 by Cédric Krier in branch '5.2':
Test memory cache with committed transaction as current
https://hg.tryton.org/trytond/rev/aa77efe1aa05
New changeset 0f0831ef0bca by Cédric Krier in branch 'default':
Test memory cache with committed transaction as current
https://hg.tryton.org/tryton-env/rev/0f0831ef0bca
New changeset bcf8d6f2fff1 by Cédric Krier in branch 'default':
Test memory cache with committed transaction as current
https://hg.tryton.org/trytond/rev/bcf8d6f2fff1
review289171002 updated at https://codereview.tryton.org/289171002/#ps276771002
msg55007 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-01-23.18:30:42
I think I found the problem in the test: review289171002
I run it a lot times without having any failure.
msg54546 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-12-17.09:37:54
Here is on recent: https://drone.tryton.org/tryton/trytond/52/21
msg50707 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-18.09:22:27
https://drone.tryton.org/tryton/trytond/739/16
The test fails from time to time.
History
Date User Action Args
2020-02-16 17:00:33roundup-botsetmessages: + msg55403
keyword: - backport
2020-02-10 23:13:57roundup-botsetmessages: + msg55298
2020-02-10 23:13:46roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg55297
2020-02-10 23:12:36cedsetkeyword: + backport
2020-01-23 18:46:58reviewbotsetnosy: + reviewbot
messages: + msg55008
2020-01-23 18:30:43cedsetstatus: chatting -> testing
reviews: 289171002
messages: + msg55007
keyword: + review
assignedto: ced
2019-12-17 09:37:54cedsetstatus: unread -> chatting
messages: + msg54546
2019-07-18 09:22:28cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)